Loading...
Searching...
No Matches
ThreadManager.hpp File Reference

Manages lifecycle and bookkeeping for mce::Thread instances. More...

`#include "Thread.hpp"`
`#include <EASTL/unique_ptr.h>`
`#include <EASTL/string.h>`
`#include <SFML/System.hpp>`
`#include "IEvent.hpp"`

Go to the source code of this file.

## Classes

class | mce::core::ThreadManager
struct | mce::core::ThreadManager::ThreadInfo
| Metadata stored per managed thread. More...

## Detailed Description

Manages lifecycle and bookkeeping for mce::Thread instances.

ThreadManager provides thread creation helpers, launching, waiting and statistics. It stores owned Thread instances and a map of Thread -> ThreadInfo for monitoring start/end times and finished state.